From 324e3f4f3c133b23c8af9dc3e01c5a3149b8a827 Mon Sep 17 00:00:00 2001
From: Joao Pereira and Tira Odhner <pair+jpereira+aodhner@pivotal.io>
Date: Thu, 16 Mar 2017 17:46:53 -0400
Subject: [PATCH] Fix Sql tab for postgres 9.1 tables

---
 .../templates/column/sql/9.2_plus/properties.sql   | 45 ----------------------
 .../templates/column/sql/default/properties.sql    |  2 +-
 2 files changed, 1 insertion(+), 46 deletions(-)
 delete mode 100644 web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql

diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql
deleted file mode 100644
index 22cef71b..00000000
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/properties.sql
+++ /dev/null
@@ -1,45 +0,0 @@
-SELECT att.attname as name, att.*, def.*, pg_catalog.pg_get_expr(def.adbin, def.adrelid) AS defval,
-        CASE WHEN att.attndims > 0 THEN 1 ELSE 0 END AS isarray,
-        format_type(ty.oid,NULL) AS typname,
-        format_type(ty.oid,att.atttypmod) AS displaytypname,
-        tn.nspname as typnspname, et.typname as elemtypname,
-        ty.typstorage AS defaultstorage, cl.relname, na.nspname,
-        concat(quote_ident(na.nspname) ,'.', quote_ident(cl.relname)) AS parent_tbl,
-	att.attstattarget, description, cs.relname AS sername,
-	ns.nspname AS serschema,
-	(SELECT count(1) FROM pg_type t2 WHERE t2.typname=ty.typname) > 1 AS isdup,
-	indkey, coll.collname, nspc.nspname as collnspname , attoptions,
-	-- Start pgAdmin4, added to save time on client side parsing
-	CASE WHEN length(coll.collname) > 0 AND length(nspc.nspname) > 0  THEN
-	  concat(quote_ident(nspc.nspname),'.',quote_ident(coll.collname))
-	ELSE '' END AS collspcname,
-	CASE WHEN strpos(format_type(ty.oid,att.atttypmod), '.') > 0 THEN
-	  split_part(format_type(ty.oid,att.atttypmod), '.', 2)
-	ELSE format_type(ty.oid,att.atttypmod) END AS cltype,
-	-- End pgAdmin4
-	EXISTS(SELECT 1 FROM pg_constraint WHERE conrelid=att.attrelid AND contype='f' AND att.attnum=ANY(conkey)) As is_fk,
-	(SELECT array_agg(provider || '=' || label) FROM pg_seclabels sl1 WHERE sl1.objoid=att.attrelid AND sl1.objsubid=att.attnum) AS seclabels,
-	(CASE WHEN (att.attnum < 1) THEN true ElSE false END) AS is_sys_column
-FROM pg_attribute att
-  JOIN pg_type ty ON ty.oid=atttypid
-  JOIN pg_namespace tn ON tn.oid=ty.typnamespace
-  JOIN pg_class cl ON cl.oid=att.attrelid
-  JOIN pg_namespace na ON na.oid=cl.relnamespace
-  LEFT OUTER JOIN pg_type et ON et.oid=ty.typelem
-  LEFT OUTER JOIN pg_attrdef def ON adrelid=att.attrelid AND adnum=att.attnum
-  LEFT OUTER JOIN pg_description des ON (des.objoid=att.attrelid AND des.objsubid=att.attnum AND des.classoid='pg_class'::regclass)
-  LEFT OUTER JOIN (pg_depend JOIN pg_class cs ON classid='pg_class'::regclass AND objid=cs.oid AND cs.relkind='S') ON refobjid=att.attrelid AND refobjsubid=att.attnum
-  LEFT OUTER JOIN pg_namespace ns ON ns.oid=cs.relnamespace
-  LEFT OUTER JOIN pg_index pi ON pi.indrelid=att.attrelid AND indisprimary
-  LEFT OUTER JOIN pg_collation coll ON att.attcollation=coll.oid
-  LEFT OUTER JOIN pg_namespace nspc ON coll.collnamespace=nspc.oid
-WHERE att.attrelid = {{tid}}::oid
-{% if clid %}
-    AND att.attnum = {{clid}}::int
-{% endif %}
-{### To show system objects ###}
-{% if not show_sys_objects %}
-    AND att.attnum > 0
-{% endif %}
-    AND att.attisdropped IS FALSE
-    ORDER BY att.attnum
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/default/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/default/properties.sql
index fa5c3f3d..22cef71b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/default/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/default/properties.sql
@@ -18,7 +18,7 @@ SELECT att.attname as name, att.*, def.*, pg_catalog.pg_get_expr(def.adbin, def.
 	ELSE format_type(ty.oid,att.atttypmod) END AS cltype,
 	-- End pgAdmin4
 	EXISTS(SELECT 1 FROM pg_constraint WHERE conrelid=att.attrelid AND contype='f' AND att.attnum=ANY(conkey)) As is_fk,
-	(SELECT array_agg(provider || '=' || label) FROM pg_seclabels sl1 WHERE WHERE sl1.objoid=att.attrelid AND sl1.objsubid=att.attnum) AS seclabels,
+	(SELECT array_agg(provider || '=' || label) FROM pg_seclabels sl1 WHERE sl1.objoid=att.attrelid AND sl1.objsubid=att.attnum) AS seclabels,
 	(CASE WHEN (att.attnum < 1) THEN true ElSE false END) AS is_sys_column
 FROM pg_attribute att
   JOIN pg_type ty ON ty.oid=atttypid
-- 
2.12.0

